#!/bin/bash
CURRENT=`dirname $0`
DIAG="../diag"

pushd ${CURRENT}

if [ ! -d ${DIAG} ];
then
	echo "not exists : ${PWD}/${DIAG}/"
	popd
	exit 1
fi

##############################
# Recovery build
RECOVERYDIRS="wac_startup_r"

pushd ${DIAG}
. ./env
popd

if [ "${DIAG_OUTBASE}" = "" ];
then
	popd
	exit 1
fi

export OUTBASE=../${TARGET}
export DESTBIN=../${DIAG_OUTBASE}/bin
export DESTDATA=../${DIAG_OUTBASE}/data

pushd ${RECOVERYDIRS}
make && make install
ret=$?
popd
if [ $ret -ne 0 ];
then
	popd
	exit 1
fi


popd

